hpp-core: hpp::core::pathProjector::RecursiveHermite Class Reference

hpp-core 9.0.2 Implement basic classes for canonical path planning for kinematic chains.

Loading...
Searching...
No Matches
Public Types | Static Public Member Functions | Protected Member Functions | List of all members
hpp::core::pathProjector::RecursiveHermite Class Reference

`#include <hpp/core/path-projector/recursive-hermite.hh>`

Inheritance diagram for hpp::core::pathProjector::RecursiveHermite:
[legend]
Collaboration diagram for hpp::core::pathProjector::RecursiveHermite:
[legend]

## Public Types
typedef hpp::core::path::Hermite | Hermite
typedef hpp::core::path::HermitePtr_t | HermitePtr_t
Public Types inherited from hpp::core::PathProjector
typedef hpp::core::Path | Path
typedef hpp::core::PathPtr_t | PathPtr_t
typedef hpp::core::PathVector | PathVector
typedef hpp::core::PathVectorPtr_t | PathVectorPtr_t

## Static Public Member Functions
static RecursiveHermitePtr_t | create (const DistancePtr_t &distance, const SteeringMethodPtr_t &steeringMethod, value_type step)
static RecursiveHermitePtr_t | create (const ProblemConstPtr_t &problem, const value_type &step)

## Protected Member Functions
bool | impl_apply (const PathPtr_t &path, PathPtr_t &projection) const
| Method to be reimplemented by inherited class.
| RecursiveHermite (const DistancePtr_t &distance, const SteeringMethodPtr_t &steeringMethod, const value_type &M, const value_type &beta)
bool | project (const PathPtr_t &path, PathPtr_t &proj) const
Protected Member Functions inherited from hpp::core::PathProjector
| PathProjector (const DistancePtr_t &distance, const SteeringMethodPtr_t &steeringMethod, bool keepSteeringMethodConstraints=false)
value_type | d (ConfigurationIn_t q1, ConfigurationIn_t q2) const
PathPtr_t | steer (ConfigurationIn_t q1, ConfigurationIn_t q2) const

## Additional Inherited Members
Public Member Functions inherited from hpp::core::PathProjector
virtual | ~PathProjector ()
| Destructor.
bool | apply (const PathPtr_t &path, PathPtr_t &projection) const
Protected Attributes inherited from hpp::core::PathProjector
SteeringMethodPtr_t | steeringMethod_

## Detailed Description

Implements "Fast Interpolation and Time-Optimization on Implicit Contact Submanifolds" from Kris Hauser.

## Member Typedef Documentation

## ◆ Hermite

typedef hpp::core::path::Hermite hpp::core::pathProjector::RecursiveHermite::Hermite

## ◆ HermitePtr_t

typedef hpp::core::path::HermitePtr_t hpp::core::pathProjector::RecursiveHermite::HermitePtr_t

## Constructor & Destructor Documentation

## ◆ RecursiveHermite()

hpp::core::pathProjector::RecursiveHermite::RecursiveHermite | ( | const DistancePtr_t & | distance,
|  | const SteeringMethodPtr_t & | steeringMethod,
|  | const value_type & | M,
|  | const value_type & | beta
| ) |  |
| protected

## Member Function Documentation

## ◆ create() [1/2]

static RecursiveHermitePtr_t hpp::core::pathProjector::RecursiveHermite::create | ( | const DistancePtr_t & | distance,
|  | const SteeringMethodPtr_t & | steeringMethod,
|  | value_type | step
| ) |  |
| static

## ◆ create() [2/2]

static RecursiveHermitePtr_t hpp::core::pathProjector::RecursiveHermite::create | ( | const ProblemConstPtr_t & | problem,
|  | const value_type & | step
| ) |  |
| static

## ◆ impl_apply()

bool hpp::core::pathProjector::RecursiveHermite::impl_apply | ( | const PathPtr_t & | path,
|  | PathPtr_t & | projection
| ) |  | const
| protectedvirtual

Method to be reimplemented by inherited class.

Implements hpp::core::PathProjector.

## ◆ project()

bool hpp::core::pathProjector::RecursiveHermite::project | ( | const PathPtr_t & | path,
|  | PathPtr_t & | proj
| ) |  | const
| protected

The documentation for this class was generated from the following file:

- include/hpp/core/path-projector/recursive-hermite.hh